Create SubscriptionAsk AIpost https://api.chargeflow.io/public/2025-04-01/disputes/{disputeId}/subscriptionCreates a subscription in Chargeflow that can be used to enrich a dispute.Path ParamsdisputeIdstringrequiredThe unique Chargeflow object identifier of the dispute.Body Paramssource_idstringrequiredlength ≤ 128The unique subscription identifier appears on the source from which the subscription originated.account_idstringThe unique Chargeflow account identifier to which the subscription belongs. This field is required for platform users.created_atdate-timerequiredThe time at which the subscription was created at the source in ISO 8601 format.start_datedate-timerequiredThe time at which the subscription was started at the source in ISO 8601 format.frequencystringenumrequiredThe frequency at which a subscription is billed.dayweekmonthyearAllowed:dayweekmonthyearfrequency_countintegerrequired≥ 1The number of intervals per billing cycle. For example, if frequency = month and frequency_count = 1, the subscription renews every month. If frequency_count = 3, the subscription renews every three months.collection_methodstringenumDefaults to automaticallyThe billing method for the subscription.automaticallyautomatically_with_remindersend_invoiceAllowed:automaticallyautomatically_with_remindersend_invoiceupdated_atdate-time | nullThe time at which the subscription was updated at the source in ISO 8601 format.end_datedate-time | nullThe time at which the subscription was ended at the source in ISO 8601 format.cancellation_datedate-time | nullThe time at which the subscription was requested to be canceled at the source in ISO 8601 format. Returns null if a cancellation is never requested.cancellation_reasonstring | nullenumThe submitted reason for why the subscription has canceled.too_expensivetoo_expensivelow_qualityunusedtoo_complexmissing_featuresAllowed:too_expensivelow_qualityunusedtoo_complexmissing_featurestrial_startdate-time | nullThe time at which the trial of the subscription began at the source in ISO 8601 format. Returns null if no trial is offered or if the trial was not utilized.trial_enddate-time | nullThe time at which the trial of the subscription ended at the source in ISO 8601 format. Returns null if no trial is offered or if the trial was not utilized.renews_atdate-time | nullThe time at which the subscription cycle renews at the source in ISO 8601 format. Returns null if the subscription has been canceled.plan_namestring | nullThe name of the plan associated with the subscription, representing the specific offering or service tier the subscriber is enrolled in.pricing_modelstringenumDefaults to fixed_priceThe pricing model associated with the subscription.fixed_priceusage_baseAllowed:fixed_priceusage_basestatusstringenumDefaults to activeThe current status of the subscription.activeinactivecanceledAllowed:activeinactivecanceledResponses 200Subscription created successfully 400Bad Request 401Unauthorized 403Forbidden 500Internal Server ErrorUpdated 6 months ago